Package com.io7m.idstore.protocol.admin

# Record Class IdAResponseUserGet

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.IdAResponseUserGet

Record Components:
  `requestId` - The request ID
  `user` - The user

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBMessageType`, `com.io7m.hibiscus.api.HBResponseType`, `IdAMessageType`, `IdAResponseType`, `IdProtocolMessageType`

public record IdAResponseUserGet(UUID requestId, Optional<IdUser> user) extends Record implements IdAResponseType
A response to `IdACommandUserGet`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAResponseUserGet(UUID requestId, Optional<IdUser> user)`
  A response to `IdACommandUserGet`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `requestId()`
  Returns the value of the `requestId` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Optional<IdUser>`
  `user()`
  Returns the value of the `user` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAResponseUserGet

    public IdAResponseUserGet(UUID requestId, Optional<IdUser> user)
    A response to `IdACommandUserGet`.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### requestId

    public UUID requestId()
    Returns the value of the `requestId` record component.
    Specified by:
      `requestId` in interface `IdAResponseType`
    Returns:
      the value of the `requestId` record component

  - ### user

    public Optional<IdUser> user()
    Returns the value of the `user` record component.
    Returns:
      the value of the `user` record component